%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-lodash
Version:    3.10.1
Release:    1%{?dist}
Summary:    A low-level utility library delivering consistency and customization
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/bestiejs/lodash
Source0:    http://registry.npmjs.org/lodash/-/lodash-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

# /usr/lib/rpm/nodejs.req fails if node engine version is omitted. This is a
# temporary fix.

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tar)
BuildRequires:  npm(qunit)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -D -T -a 1 -n package

# Minified/pre-compiled JS scripts must not be installed.
#find dist/ -type f -iname '*.min.js' -delete


%build
# nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lodash
cp -pr package.json *.js collection/ math/ number/ function/ object/ \
	date/ internal/ string/ chain/ array/ utility/ lang/ \
	%{buildroot}%{nodejs_sitelib}/lodash

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/lodash


%changelog
* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 3.10.1-1
- Update to upstream 3.10.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.4.1-2
- fix Source1

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.4.1-1
- update to upstream release 2.4.1

* Sat Jul 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-3
- add ExclusiveArch logic

* Thu Jun 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-2
- add more comments

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.1-1
- initial package
